Botan 2.19.5 Crypto and TLS for C&

Namespaces | Macros | Functions
curve_nistp.h File Reference
`#include <botan/bigint.h>`

Go to the source code of this file.

## Namespaces
namespace | Botan

## Macros
#define | BOTAN_HAS_NIST_PRIME_REDUCERS_W32

## Functions
const BigInt & | Botan::prime_p192 ()
const BigInt & | Botan::prime_p224 ()
const BigInt & | Botan::prime_p256 ()
const BigInt & | Botan::prime_p384 ()
const BigInt & | Botan::prime_p521 ()
void | Botan::redc_p192 (BigInt &x, secure_vector< word > &ws)
void | Botan::redc_p224 (BigInt &x, secure_vector< word > &ws)
void | Botan::redc_p256 (BigInt &x, secure_vector< word > &ws)
void | Botan::redc_p384 (BigInt &x, secure_vector< word > &ws)
void | Botan::redc_p521 (BigInt &x, secure_vector< word > &ws)

## Macro Definition Documentation

## ◆ BOTAN_HAS_NIST_PRIME_REDUCERS_W32

#define BOTAN_HAS_NIST_PRIME_REDUCERS_W32

Definition at line 33 of file curve_nistp.h.